Subject: Re: automake 1.14 failure on OS X 10.6.8: fort5

From: Diab Jerius <[email-masked]>
Date: Sun, 20 Feb 2022 19:27:05 -0500

On 2/20/22 14:00, Mike Frysinger wrote:
> On Fri, 26 Jul 2013 11:32:18 -0400, Diab Jerius wrote:
>> The fort5 test fails on Mac OS X 10.6.8.
> the failing part of the log:
>
> /bin/sh ./libtool  --tag=FC   --mode=link gfortran  -g -O2   -o libhello.la -rpath /usr/local/lib foo.lo bar.lo libgoodbye.la
> libtool: link: gfortran -dynamiclib -Wl,-undefined -Wl,dynamic_lookup -o .libs/libhello.0.dylib  .libs/foo.o .libs/bar.o   -Wl,-force_load,./.libs/libgoodbye.a   -O2   -install_name  /usr/local/lib/libhello.0.dylib -compatibility_version 1 -current_version 1.0 -Wl,-single_module
> /usr/bin/libtool: unknown option character `f' in: -force_load
> Usage: /usr/bin/libtool -static [-] file [...] [-filelist listfile[,dirname]] [-arch_only arch] [-sacLT]
> Usage: /usr/bin/libtool -dynamic [-] file [...] [-filelist listfile[,dirname]] [-arch_only arch] [-o output] [-install_name name] [-compatibility_version #] [-current_version #] [-seg1addr 0x#] [-segs_read_only_addr 0x#] [-segs_read_write_addr 0x#] [-seg_addr_table <filename>] [-seg_addr_table_filename <file_system_path>] [-all_load] [-noall_load]
> make: *** [libhello.la] Error 1
>
> i can't explain why it's running /usr/bin/libtool in the first place.
> the test generated & bundled a local copy of libtool and it is using
> that.  is the libtool on macOS falling back to the /usr/bin/libtool ??

Hi,

Thanks for looking at this, but I'm afraid I won't be able to reproduce 
this after this period of time. Mac OS X has changed dramatically since 
2013, and I don't have access to anything that old.

Diab